!c Description: 
!c   ѥ⥸塼
!c
!c Current Code Owner: 
!c   sugiyama@gfd-dennou.org
!c
!c Copyright (C) SUGIYAMA Ko-ichiro, 2004, All rights reserved

module bcset
  !--- ۤηػ
  implicit none

  !--- save °
  save

  !--- ѿ
  character(3)          :: ss_Bc        !(顼)
  character(3)          :: fs_Bc        !(٥ȥ u)
  character(3)          :: sf_Bc        !(٥ȥ w)
  
contains
  subroutine bcset_init
    !--- ⥸塼ɤ߹
    use fileset, only: cfgfile
    
    !--- ѿ
    character(1)       :: BcX
    character(1)       :: BcZ
    
    !--- NAMELIST 
    NAMELIST /bcset/ BcX, BcZ
    
    !---ѿμФ
    open (10, FILE=cfgfile)
    read(10, NML=bcset)
    close(10)

    !--- Υפ (boundary.f90 )
    if (trim(BcX) == "C" .AND. trim(BcZ) == "R") then        
       ss_Bc = "CsS"   
       fs_Bc = "CsA"
       sf_Bc = "CfA"
    elseif (trim(BcX) == "C" .AND. trim(BcZ) == "F") then        
       ss_Bc = "CsS"   
       fs_Bc = "CsS"
       sf_Bc = "CfA"
!    elseif (trim(BcX) == "R" .AND. trim(BcZ) == "R") then        
!       ss_Bc = "SS"   
!       fs_Bc = "AA"
!       sf_Bc = "AA"
    else 
       write(*,*) "gridset.f90, unknown boundary condition" 
    end if
    
  end subroutine bcset_init
  
end module bcset
